﻿@using NacGroup.Module.Core.Services
@using NacGroup.Module.Gallery.Models.Schema

@model NacGroup.Module.Core.Models.PagedResult<NacGroup.Module.Gallery.Models.Schema.GalleryImageModel>
@inject IGettingGlobalConfigService GettingGlobalConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = "Gallery";
    var allCat = ViewData["AllCat"] as IEnumerable<Gallery>;
    Layout = "_Layout";

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/gallery-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/gallery-page.min.js"></script>
    <script>
        $(document).ready(function () {
            $(".nav li[data-id='gallery']").addClass("active");
        })
    </script>
}
<main id="gallery-page">
    <h1 class="hidden">@ViewData["MetaTitle"]</h1>
    <div id="breadcrumb">
        <div class="container">
            <ul class="my-ul breadcrumb-body">
                <li><a href="/">Home</a></li>
                <li class="active">@ViewData["MetaTitle"]</li>
            </ul>
        </div>
    </div>
    <div id="gallery-cat">
        <div class="section-header container">

        </div>
        <div class="section-body">
            <div class="container">
                <ul id="mixitup-filters" class="tab-header text-center container flex-center my-ul h5 m-bot-4 text-uppercase owl-theme owl-carousel">
                    @{
                        if (allCat.Any())
                        {
                            <li><span class="filter-all album text-center" onclick="album('all','1')">All Gallery</span></li>
                            foreach (var item in allCat)
                            {
                                <li>
                                    <span class="filter-@(item.Id) album text-center" onclick="album('@(item.Id)','1')">@(item.Title)</span>
                                </li>
                            }
                        }
                    }
                </ul>
            </div>
            <div class="list-item">
                @await Html.PartialAsync("_FilterGallery", Model)
            </div>
        </div>
        <div class="section-footer">

        </div>
    </div>
</main>